Subject: Re: bug#33765: emacs-26.1-mac-7.4; (expt 2 140) ; produces 0 in scratch buffer, unexpectedly

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Dec 2018 15:07:48 +0200

On December 16, 2018 1:11:25 PM GMT+02:00, Van L <[email-masked]> wrote:
> 
> > Why do you say this is unexpected?
> 
> I am not a mathematician but I believe the answer is wrong for 2^140.

The correct value cannot be represented in an Emacs fixnum.  What did you expect Emacs to do?  IOW, what would be the "expected" result, given the limited range of integers we can represent?

> > If you want the same support for huge numbers as in Scheme, try
> Emacs 27.
> 
> I take that to mean the master branch but the emacs-mac repo-updates
> are less freq. than gnu-emacs’s.

Some features, such as this one, will not be available in older versions.